List of all members
clan::Secret Class Reference
clanCore Crypto

Key class. More...

`#include <secret.h>`

## Public Member Functions
Construction
| Secret ()
| Constructs a key (unset) More...
| Secret (unsigned int new_key_length)
| Constructs a key to a specified length. More...
Attributes
unsigned int | get_size () const
| Get the key size. More...
unsigned char * | get_data () const
| Get the key data. More...

## Detailed Description

Key class.

This class zero's the key from memory when the class is destroyed

The documentation for this class was generated from the following file:

- secret.h